#pragma once

#include "PngWriterImpl.h"

class PngWriterBasic : public PngWriterImpl
{
public:
	void setPath(const std::string& path) override;

	void write(const std::unique_ptr<Image>& image) const override;

private:
	std::string mPath;
};